Main Page | Directories | File List | File Members | Related Pages

# Convenience.c File Reference

`#include "party.h"`

Include dependency graph for Convenience.c:

Go to the source code of this file.

## Functions
void | C_LinStatExpCov (const double *x, const int p, const double *y, const int q, const double *weights, const int n, const int cexpcovinf, SEXP expcovinf, SEXP ans)
void | C_LinStatExpCovMPinv (SEXP linexpcov, double tol)
void | C_MLinearStatistic (SEXP linexpcov, SEXP ScoreMatrix, SEXP ans)
double | C_TestStatistic (const SEXP linexpcov, const int type, const double tol)
double | C_ConditionalPvalue (const double tstat, SEXP linexpcov, const int type, double tol, int *maxpts, double *releps, double *abseps)
SEXP | R_get_response (SEXP learnsample)
void | R_set_response (SEXP learnsample, SEXP y)

## Detailed Description

Some convenience functions

Author:
  Author
    hothorn

Date:
  Date
    2005-08-31 09:27:04 +0200 (Wed, 31 Aug 2005)

Definition in file Convenience.c.

## Function Documentation

double C_ConditionalPvalue | ( | const double | tstat,
|  | SEXP | linexpcov,
|  | const int | type,
|  | double | tol,
|  | int * | maxpts,
|  | double * | releps,
|  | double * | abseps
| ) |

  | Compute asymptotic conditional P-value Parameters:
  | tstat | test statistic
  | linexpcov | an object of class `LinStatExpectCovar'
  | type | integer, 1 (maxabs) or 2 (quadform)
  | tol | tolerance
  | maxpts | argument to C_maxabsConditionalPvalue
  | releps | argument to C_maxabsConditionalPvalue
  | abseps | argument to C_maxabsConditionalPvalue
Definition at line 131 of file Convenience.c. References C_maxabsConditionalPvalue(), C_quadformConditionalPvalue(), get_dimension(), MAXABS, PL2_covarianceSym, PL2_rankSym, and QUADFORM. Referenced by C_TeststatPvalue(). Here is the call graph for this function:

void C_LinStatExpCov | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | const int | cexpcovinf,
|  | SEXP | expcovinf,
|  | SEXP | ans
| ) |

  | Linear statistic of x, y, and weights and its conditional expectation and covariance Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | cexpcovinf | logical: recompute exp and cov of the influence fct
  | expcovinf | an object of class `ExpectCovarInfluence'
  | ans | return value; an object of class `LinStatExpectCovar'
Definition at line 26 of file Convenience.c. References C_ExpectCovarInfluence(), C_ExpectCovarLinearStatistic(), C_LinearStatistic(), and PL2_linearstatisticSym. Referenced by C_GlobalTest(), C_IndependenceTest(), and R_splitcategorical(). Here is the call graph for this function:

void C_LinStatExpCovMPinv | ( | SEXP | linexpcov,
|  | double | tol
| ) |

  | Moore-Penrose inverse of the covariance matrix Parameters:
  | linexpcov | an object of class `LinStatExpectCovarMPinv'
  | tol | tolerance
Definition at line 46 of file Convenience.c. References C_MPinv(), PL2_covarianceSym, and PL2_svdmemSym. Referenced by C_GlobalTest(), and C_IndependenceTest(). Here is the call graph for this function:

void C_MLinearStatistic | ( | SEXP | linexpcov,
|  | SEXP | ScoreMatrix,
|  | SEXP | ans
| ) |

  | Linear combination of a linear statistic, expectation and covariance Parameters:
  | linexpcov | an object of class `LinStatExpectCovar'
  | ScoreMatrix | matrix of coefficients
  | ans | return value; an object of class `LinStatExpectCovar'
Definition at line 59 of file Convenience.c. References C_matprod(), C_matprodT(), get_dimension(), ncol(), nrow(), PL2_covarianceSym, PL2_expectationSym, and PL2_linearstatisticSym. Referenced by C_GlobalTest(), C_IndependenceTest(), and C_MonteCarlo(). Here is the call graph for this function:

double C_TestStatistic | ( | const SEXP | linexpcov,
|  | const int | type,
|  | const double | tol
| ) |

  | Compute test statistic Parameters:
  | linexpcov | an object of class `LinStatExpectCovar'
  | type | integer, 1 (maxabs) or 2 (quadform)
  | tol | tolerance
Definition at line 91 of file Convenience.c. References C_maxabsTestStatistic(), C_quadformTestStatistic(), get_dimension(), PL2_covarianceSym, PL2_expectationSym, PL2_linearstatisticSym, and PL2_MPinvSym. Referenced by C_TeststatPvalue(). Here is the call graph for this function:

SEXP R_get_response | ( | SEXP | learnsample | ) |

  | extract the (first) response variable from a learning sample Parameters:
  | learnsample | an object of class `LearningSample'
Definition at line 163 of file Convenience.c. References PL2_responsesSym, and PL2_variablesSym. Referenced by R_set_response().

void R_set_response | ( | SEXP | learnsample,
|  | SEXP | y
| ) |

  | change the values of the response variable in a learning sample Parameters:
  | learnsample | an object of class `LearningSample'
  | y | a REAL with new values
Definition at line 175 of file Convenience.c. References PL2_jointtransfSym, PL2_responsesSym, PL2_transformationsSym, PL2_variablesSym, and R_get_response(). Here is the call graph for this function: